Bug 812878 - [abrt] evolution-3.4.0.1-1.fc17: g_mutex_get_impl: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.4.0.1-1.fc17: g_mutex_get_impl: Process /usr/bin/evolution...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution-rss (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lucian Langa
Fedora Extras Quality Assurance
abrt_hash:84306ea73fc3a5f7dcddb1cbb5f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-16 09:16 EDT by Braden McDaniel
Modified: 2013-07-31 18:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:34:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (137.22 KB, text/plain)
2012-04-16 09:16 EDT, Braden McDaniel
no flags Details
File: maps (111.51 KB, text/plain)
2012-04-16 09:16 EDT, Braden McDaniel
no flags Details
File: dso_list (22.98 KB, text/plain)
2012-04-16 09:16 EDT, Braden McDaniel
no flags Details
File: build_ids (9.17 KB, text/plain)
2012-04-16 09:16 EDT, Braden McDaniel
no flags Details
File: open_fds (6.40 KB, text/plain)
2012-04-16 09:16 EDT, Braden McDaniel
no flags Details

  None (edit)
Description Braden McDaniel 2012-04-16 09:16:11 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        evolution
comment:        Added a RSS feed.
crash_function: g_mutex_get_impl
executable:     /usr/bin/evolution
kernel:         3.3.1-5.fc17.x86_64
pid:            2246
pwd:            /home/braden
remote_result:  NOTFOUND
time:           Mon 16 Apr 2012 09:10:16 AM EDT
uid:            1000
username:       braden

backtrace:      Text file, 140509 bytes
build_ids:      Text file, 9389 bytes
dso_list:       Text file, 23527 bytes
maps:           Text file, 114189 bytes
open_fds:       Text file, 6554 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/braden/26

core_backtrace:
:8568e11bef79abaf14513d18a8559282d8dad34a 0x83456 - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x836b9 g_mutex_lock libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x46407 g_source_ref libglib-2.0.so.0 -
:39e058ce9f98b453b3390b1a92c962c0f8330b7f 0x45ce5 - libsoup-2.4.so.1 -
:0566294a165713c2d2f4f278493655f017c61e04 0x19cad net_get_unblocking liborg-gnome-evolution-rss.so -
:0566294a165713c2d2f4f278493655f017c61e04 0x3429b fetch_image_redraw liborg-gnome-evolution-rss.so -
:0566294a165713c2d2f4f278493655f017c61e04 0x1c32a process_images liborg-gnome-evolution-rss.so -
:0566294a165713c2d2f4f278493655f017c61e04 0x1d283 parse_channel_line liborg-gnome-evolution-rss.so -
:0566294a165713c2d2f4f278493655f017c61e04 0x1daf4 display_channel_items_sync liborg-gnome-evolution-rss.so -
:0566294a165713c2d2f4f278493655f017c61e04 0x1dd61 - liborg-gnome-evolution-rss.so -
:647c8183274c4626c81e86e7a631a81782a04e65 0x6cd2e - libgio-2.0.so.0 -
:647c8183274c4626c81e86e7a631a81782a04e65 0x5c0fe - libgio-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x6ab12 - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x6a315 - libglib-2.0.so.0 -
:70f10a584fcf32ef4994cc1bc209964515ad49c9 0x7d14 start_thread libpthread.so.0 -
:11d196ee9220c6039404f4ba675abf3a24d8f0aa 0xf194d clone libc.so.6 -

environ:
:XDG_VTNR=3
:XDG_SESSION_ID=26
:HOSTNAME=bolt.endoframe.net
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/braden/keyring-T8bs48
:IMSETTINGS_MODULE=IBus
:USER=braden
:LD_LIBRARY_PATH=/home/braden/x86_64-redhat-linux-gnu/lib:/home/braden/lib
:MAIL=/var/spool/mail/braden
:PATH=/home/braden/x86_64-redhat-linux-gnu/bin:/home/braden/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/braden
:XMODIFIERS=@im=ibus
:GNOME_KEYRING_PID=5550
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:KRB5CCNAME=FILE:/tmp/krb5cc_1000_N61gp4
:MALLOC_PERTURB_=95
:XDG_SEAT=seat0
:HOME=/home/braden
:SHLVL=1
:LOGNAME=braden
:CVS_RSH=ssh
:VISUAL=emacsclient
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-g9YKv4kOXM,guid=fe626b3017c2d35a8af29df90000708e
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=3
:XDG_RUNTIME_DIR=/run/user/braden
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-braden-vOdqlf/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/5553,unix/unix:/tmp/.ICE-unix/5553
:GPG_AGENT_INFO=/run/user/braden/keyring-T8bs48/gpg:0:1
:SSH_AUTH_SOCK=/run/user/braden/keyring-T8bs48/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/evolution.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2246
:DESKTOP_STARTUP_ID=gnome-shell-5734-bolt.endoframe.net-evolution-25_TIME73383416

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        unlimited            unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 95920                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       95920                95920                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

var_log_messages:
:Apr 15 03:42:32 bolt yum[1140]: Updated: evolution-data-server-3.4.0-1.fc17.x86_64
:Apr 15 03:42:59 bolt yum[1140]: Updated: evolution-3.4.0.1-1.fc17.x86_64
:Apr 15 03:43:16 bolt yum[1140]: Updated: evolution-NetworkManager-3.4.0.1-1.fc17.x86_64
:Apr 16 09:02:47 bolt yum[2165]: Installed: evolution-spamassassin-3.4.0.1-1.fc17.x86_64
:Apr 16 09:02:48 bolt yum[2165]: Installed: evolution-rspam-0.4.0-1.fc17.x86_64
:Apr 16 09:02:48 bolt yum[2165]: Installed: evolution-bogofilter-3.4.0.1-1.fc17.x86_64
:Apr 16 09:02:50 bolt yum[2165]: Installed: 1:evolution-rss-0.3.91-1.fc17.x86_64
:Apr 16 09:02:50 bolt yum[2165]: Installed: tracker-evolution-plugin-0.14.0-1.fc17.x86_64
:Apr 16 09:02:54 bolt yum[2165]: Installed: evolution-help-3.4.0.1-1.fc17.noarch
:Apr 16 09:10:30 bolt abrt[2665]: Saved core dump of pid 2246 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-04-16-09:10:16-2246 (887894016 bytes)
Comment 1 Braden McDaniel 2012-04-16 09:16:16 EDT
Created attachment 577713 [details]
File: backtrace
Comment 2 Braden McDaniel 2012-04-16 09:16:18 EDT
Created attachment 577714 [details]
File: maps
Comment 3 Braden McDaniel 2012-04-16 09:16:20 EDT
Created attachment 577715 [details]
File: dso_list
Comment 4 Braden McDaniel 2012-04-16 09:16:21 EDT
Created attachment 577716 [details]
File: build_ids
Comment 5 Braden McDaniel 2012-04-16 09:16:23 EDT
Created attachment 577717 [details]
File: open_fds
Comment 6 Milan Crha 2012-04-17 01:59:35 EDT
Thanks for a bug report. I guess this comes from evolution-rss, thus I'm moving it there. The value of the pointer suggests that it had been freed already.
Comment 7 Nicola Soranzo 2012-07-30 09:12:29 EDT
Open a "News and Blogs" feed item

backtrace_rating: 4
Package: evolution-3.4.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Fedora End Of Life 2013-07-03 17:28:08 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-07-31 18:34:33 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.